#ifndef routines_hpp
#define routines_hpp

#include<vectors.hpp>

struct ParticleParameters
{
  Vector V0;    // Initial velocity
  Vector X0;    // Initial position
  double charge;
  double mass;
};

struct SimulationParameters
{
  double dt;
  double tmax;
  int N_print;
};

void read_input_file(struct ParticleParameters* InitialParameters, struct SimulationParameters* SimPar, char* input_file_name, char* output_file_name);

void integrate_trajectory(struct ParticleParameters* InitialParameters, struct SimulationParameters* SimPar, char* output_file_name);

#endif
