// Mathematical vectors and related operations

#ifndef vectors_hpp
#define vectors_hpp

class Vector
{
public:
  Vector();  // null vector initialization
  Vector(double Vx, double Vy, double Vz);  // non null vector initialization
  double GetVx() const;
  double GetVy() const;
  double GetVz() const;
  void SetVx(double value);
  void SetVy(double value);
  void SetVz(double value);
  double Modulus();

private:
  double __Vx;
  double __Vy;
  double __Vz;
};

Vector operator+(Vector& A, Vector& B);  // sum two vectors
Vector operator-(Vector& A, Vector& B); // subtract two vectors
Vector operator*(Vector& V, double number); // vector * number
Vector operator*(double number, Vector& V); // number * vector
Vector operator/(Vector& V, double number); // vector / number
double operator*(Vector& A, Vector& B); // dot product
Vector VectorProduct(Vector& A, Vector& B); // vector product


#endif
